﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MVCsampleEJ2.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.data = new Demand().demandList();
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }

    public class Demand
    {
        public string demandaid { get; set; }
        public string descricao { get; set; }
        public string numdemanda { get; set; }
        public string marca { get; set; }
        public string modelo { get; set; }
        public string numserie { get; set; }
        public string tag { get; set; }

        public List<Demand> demandList()
        {
            List<Demand> dem = new List<Demand>();
            dem.Add(new Demand { demandaid = "1", descricao = "Cardioversor", numdemanda= "00003-3", marca="Philips", modelo="Cardio", numserie = "5489", tag = "668" });
            dem.Add(new Demand { demandaid = "2", descricao = "Incubadora", numdemanda = "00005-3", marca = "Siemens", modelo = "AA220", numserie = "162A" });
            return dem;
        }
    }
   
}